@media (max-width: 768px) {
    h1 { font-size: 42px!important; line-height: 1.2; }
    h2 { font-size: 36px!important;; line-height: 1.3; }
    h3 { font-size: 24px!important;; line-height: 1.4; }
    h4 { font-size: 20px!important;; line-height: 1.5; }
    h5 { font-size: 18px!important;; line-height: 1.5; }
    h6 { font-size: 16px!important;; line-height: 1.6; }
    .padding-all {
      padding: 15px !important;
    }
    .mini-padding {
      padding: 22px !important;
    }
    .space-block {
      display: none !important;
    }
    .video-box {
    height: 250px !important;  
}
.horizontal-sliders{
  display:flex !important;
  flex-wrap: wrap !important;
  gap: 24px !important;
}
.first {
  transform: rotate(0deg) !important;
}
.second {
  transform: rotate(0deg) !important;
}
.third {
   transform: rotate(0deg) !important;
}
.fourth {
  transform: rotate(0deg) !important;
}
.section {
  min-height: 10vh !important;
}
.works-box-right{
  display: flex !important;
  justify-content: flex-start !important;
}
.works-wrapper {
  left: 100px !important;
}
.work-item {
    position: relative !important;
     right: 0 !important; 
}
.works-wrapper-right { 
  position: absolute !important;
  left: 100px !important;
  z-index: -1 !important;
}
.img-about-full {
  height: 30vh !important;
}
  }
.shadow{
box-shadow: inset 0 0 5vw 0vw var(--box-shadow--secondary)
}
.fogete video {
    object-fit: cover;
    z-index: -100;
    background-position: 50%;
    background-size: cover;
    width: 100%;
    height: 100%;
    margin: auto;
    position: absolute;
    inset: -100%;
}
.works-box-right{
  width: 100%;
  position: relative;
  height: 400px;
}
.works-box {
  width: 100%;
  position: relative;
  height: 400px;
}
.work-item-text{
  position: absolute;
}
.works-wrapper { 
  position: absolute;
  left: 200px;
  z-index: -1;
}
.work-item {
  position: absolute;
  right: 400px;
}


.text-gradient {
    -webkit-text-fill-color: transparent;
    background-image: linear-gradient(45deg, #fff 34%, #99e8ff8c 51%, #f27cf64d 71%);
    -webkit-background-clip: text;
    background-clip: text;
}
.img-about-full {
    width: 100%;
    height: 100vh;
    overflow: hidden;
}
.img-about-full image {
    width: 100%;
    height: 100%;
}
.img-ball {
    position: absolute;
    left: 30px;
    top: 0
    ;
}
.img-ball-one {
    position: absolute;
    left: 60px;
    top: 0
    ;
}
.ball-wrapper {
    position: relative;
   width: 100%;
}
.image-spacer {
  position: relative;
  width: 100%;
  
  overflow: hidden; 
}
.image-hover-spacer {
  width: 100%;
  height: 100%;
  object-fit: cover; 
  transition: transform 0.3s ease-in-out; 
}
.image-spacer:hover .image-hover-spacer {
  transform: scale(1.1); 
}

/*============== FAQ Section ==============*/
.faq-container {
  width: 100%;
  margin: 0 auto;
}
.faq-question {
  border: 1px solid var(--wp--preset--color--secondary); 
  border-radius: 20px;
  background-color: var(--wp--preset--color--card-black);
  width: 100%;
  max-width: 100%;
  overflow: hidden;
  padding: 24px;
}
.faq-question summary {
  border-radius: 20px;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
  list-style: none; 
  transition: background-color 0.3s ease; 
}
.faq-question summary::after {
  content: ">"; 
  font-size: 40px;
  transition: transform 0.3s ease, color 0.3s ease; 
}
.faq-question[open] summary::after {
  transform: rotate(-90deg);
}
.faq-answer {
  font-size: 14px;
  line-height: 1.6;
  margin-top: 0;
  border-radius: 0 0 10px 10px;
  max-height: 0;
  opacity: 0;
  overflow: hidden; 
  transition: max-height 0.9s ease-in-out, opacity 0.5s ease-in-out; 
}
.faq-question[open] .faq-answer {
  max-height: 500px; 
  opacity: 1;
}
.faq-question:hover summary {
  background-color: var(--wp--preset--color); 
}
/* EFECTS ANIMATION */
.space-tunnel {
	position: relative;
	left: 0;
	top: 0;
	width: 450px;
	height: 450px;
	background: #000;
	perspective: 1000px;
	overflow: hidden;
}

.space-tunnel .cube-frame {
	position: absolute;
	width: 150px;
	height: 150px;
	top: calc(50% - 50px);
	left: calc(50% - 50px);
	border: 2px solid rgba(128, 255, 255, 0.6);
	box-shadow: 0 0 20px rgba(0, 255, 255, 0.3), 0 0 60px rgba(0, 128, 255, 0.2);
	mix-blend-mode: screen;
	filter: drop-shadow(2px 0 red) drop-shadow(-2px 0 blue);
	animation: fly 3s linear infinite;
}

.space-tunnel .cube-frame:nth-child(1) {
	animation-delay: 0s;
}
.space-tunnel .cube-frame:nth-child(2) {
	animation-delay: 0.43s; /* 3 / 7 */
}
.space-tunnel .cube-frame:nth-child(3) {
	animation-delay: 0.86s;
}
.space-tunnel .cube-frame:nth-child(4) {
	animation-delay: 1.29s;
}
.space-tunnel .cube-frame:nth-child(5) {
	animation-delay: 1.71s;
}
.space-tunnel .cube-frame:nth-child(6) {
	animation-delay: 2.14s;
}
.space-tunnel .cube-frame:nth-child(7) {
	animation-delay: 2.57s;
}
.space-tunnel .cube-frame:nth-child(8) {
	animation: none !important;
}

@keyframes fly {
	0% {
		transform: translateZ(600px) scale(0.1) rotate(0deg);
		opacity: 0;
	}
	25% {
		opacity: 1;
	}
	100% {
		transform: translateZ(-800px) scale(2.5) rotate(360deg);
		opacity: 0;
	}
}

.description-container {
	position: absolute;
	top: 32px;
	left: 32px;
	text-align: left;
	letter-spacing: 3px;
}

.description-container .title {
	font-size: 19px;
	font-weight: 500;
	color: white;
	text-transform: uppercase;
}

.description-container .subtitle {
	margin-top: 6px;
	font-size: 26px;
	font-weight: 500;
	color: magenta;
	text-transform: uppercase;
}

.author-container {
	position: absolute;
	width: 50%;
	right: 21px; /* 42px / 2 */
	bottom: 21px;
	text-align: right;
}

.author-container .picture {
	position: absolute;
	right: 0;
	top: -42px;
	margin-top: -12px;
	width: 42px;
	height: 42px;
	background-size: 42px;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url(https://assets.codepen.io/595576/internal/avatars/users/default.png?format=auto&version=1689877807&width=80&height=80);
}

.author-container .title {
	font-size: 16px;
	letter-spacing: 2px;
	color: white;
}
/* EFECT ZOOM */
.section {
  position: relative;
  min-height: 120vh;
  color: white;
  gap: 80px;
  overflow: hidden;
}

.item {
  display: grid;
  place-items: center;
  font-size: 2rem;
  transform-origin: center;
}
.video-box {
    color: #fff;
    width: 100%;
    height: 500px;
    position: relative;
    overflow: hidden;
    border-radius: 20px;
}
.video-box video {
   object-fit: cover;
    background-position: 50%;
    background-size: cover;
    width: 100%;
    height: 100%;
    margin: auto;
    position: absolute;
    inset: -100%;
}

.folder-wrapper {
  position: relative;
  width: 100%;
  overflow: hidden;
  height: 450vh;
} 
.gsap-section {
  box-sizing: border-box;
  margin: 0 !important;
  padding: 0;
  width: 100% !important;
}
.pin-spacer {
  margin: 0 !important;
  max-width: 400% !important;
}
.first {
  transform: rotate(-7deg);
  width: 25rem;
}
.second {
  transform: rotate(7deg);
  width: 25rem;
}
.third {
   transform: rotate(-7deg);
   width: 25rem;
}
.fourth {
  transform: rotate(7deg);
  width: 25rem;
}
.services-scroll{
  overflow:hidden !important;
  position: relative;
  
}
.horizontal-sliders{
  display:flex;
  flex-wrap: no-wrap;
  width: 400% !important ;
  max-width: 400% !important ;
  gap: 300px;
}
main {
  overflow: hidden;
}
.text-video {
  position: sticky;
  width: 20%;
}

/* Marquee */ 
:root{
   
        
     
        
    
      /*Marquee */
      --gap: 1rem;
      --size: clamp(10rem, 1rem + 40vmin, 30rem);
      --gap: 30px;
      --duration: 60s;
      --scroll-start: 0;
      --scroll-end: calc(-100% - var(--gap));

}
.marquee {
    display: flex;
    overflow: hidden;
    user-select: none;
    gap: var(--gap);
    mask-image: linear-gradient(
      var(--mask-direction, to right),
      hsl(0 0% 0% / 0),
      hsl(0 0% 0% / 1) 20%,
      hsl(0 0% 0% / 1) 80%,
      hsl(0 0% 0% / 0)
    );
  }

  .marqueegroup {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: var(--gap);
    width: 1500px;
  
    animation: scroll-x var(--duration) linear infinite;
  }

  @media (prefers-reduced-motion: reduce) {
    .marqueegroup {
      animation-play-state: paused;
    }
  }

  .marquee--vertical {
    --mask-direction: to bottom;
  }

  .marquee--vertical,
  .marquee--vertical .marqueegroup {
    flex-direction: column;
  }

  .marquee--vertical .marqueegroup {
    animation-name: scroll-y;
  }

  .marquee--reverse .marquee__group {
    animation-direction: reverse;
    animation-delay: -3s;
  }

  @keyframes scroll-x {
    from {
      transform: translateX(var(--scroll-start));
    }
    to {
      transform: translateX(var(--scroll-end));
    }
  }
.custom-button {
    cursor: pointer;
    transition: background-color 0.3s ease;
  }

  .custom-button:hover {
    background-color: #fff !important; 
    color: #000;
  }
  .reveal {
  opacity: 0;
  transform: rotateX(15deg) translateY(50px);
  transition: all 0.8s ease-out;
}